WAVPLAY(1)

NAME
wavplay, wavrec - play and record WAV files

SYNOPSIS
wavplay [-h,--help] [-q] [-s rate] [-S] [-M] [-b bits] [-i] [-k ipc-key] [-R] [-l] [-u] [-L] [-U] [-V,--version] [input-files]

wavrec [-h,--help] [-q] [-s rate] [-S] [-M] [-b bits] [-t secs] [-k ipc-key] [-R] [-l] [-u] [-L] [-U] [-V,--version] [output-file]

DESCRIPTION
wavplay plays a WAV format file to the audio device (by default /dev/dsp ) reading WAV parameters from the input file header. (Command-line options will override these defaults, if you know better or for special effects.)

wavrec samples the audio device and writes a WAV file. Command-line options provide complete control over the resolution and duration of sampling.

Both wavplay and wavrec allow the audio device to be locked for exclusive access.

OPTIONS

-h  print a short summary of options.

--help
    same as -h.

-q  quiet mode, suppress messages.

-s rate
    set sampling rate in Hz. The default is 8000 Hz.

-S  set stereo mode (overrides -M). This is the default.

-M  set mono mode (overrides -S).

-b bits
    set the number of bits per sample (8/12/16). The default is 16.

-t secs
    set time limit for recording. The default is 10 seconds.

-i  don't play, just display WAV file header information.

-k key
    specify the IPC key for device-locking semaphores. The default is 0x33333333.

-R  remove and recreate device-locking semaphores.

-l  lock the audio device for playing.

-u  unlock the audio device for playing.

-L  lock the audio device for recording.

-U  unlock the audio device for recording.

-V  display version and copyright information.

--version
    same as -V.

BUGS
wavplay will not play files which contain SLNT or LIST chunks.

Compressed formats are not currently supported.

AUTHOR
wavplay was almost totally rewritten for version 1.0 by Warren W. Gay (ve3wwg@gmail.com) replacing earlier code by Andre Fuechsel (af1@irz.inf.tu-dresden.de). Erik de Castro Lopo (erikd@zip.com.au) wrote the WAV header I/O routines. This manual page was written by Stephen Crane (jsc@cs.city.ac.uk).

DATE
12 June 1997